﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using System;
using System.Globalization;
using System.Threading;
using System.Windows.Forms;

namespace WindowsFormsApplication10
{
    public class Editor : ControlContainerEditor
    {
        private TextBox textBox;
        private UltraDateTimeEditor dateTimeEditor;

        #region Constructor
        public Editor(UltraDateTimeEditor dateTimeEditor, TextBox textBox)
        {
            this.dateTimeEditor = dateTimeEditor;
            this.textBox = textBox;

            // Set the Gauge control as the Rendering control
            this.RenderingControl = dateTimeEditor;

            // Set the NumericUpDown control as the Editing control
            this.EditingControl = textBox;
        }
        #endregion

        #region override RendererValue
        protected override object RendererValue
        {
            get
            {
                return this.textBox.Text;
            }
            set
            {
                this.textBox.Text = value == DBNull.Value? string.Empty : (string)value;
            }
        }
        #endregion
    }
}
